package com.persagy.dmp.middleware.constant.enums;

import lombok.Getter;

/**
 * @ClassName RelationTypeEnum
 * @Description: 关系枚举
 * @Author linhuili
 * @Date 2021/9/10 09:37
 * @Version V1.0
 **/
@Getter
public enum RelationTypeEnum {

    ARCHSUBSET_BD2FL("ArchSubset","Bd2Fl","楼层所在建筑"),

    ARCHSUBSET_FL2SP("ArchSubset","Fl2Sp","楼层下的业务空间"),

    ARCHSUBSET_BD2SP("ArchSubset","Bd2Sp","建筑下的业务空间"),

    MECHINARCH_EQ2FL("MechInArch","Eq2Fl","设备设施所在楼层"),

    MECHINARCH_EQ2BD("MechInArch","Eq2Bd","设备设施所在楼层"),

    MECHINARCH_EQ2SP("MechInArch","Eq2Sp","设备设施所在空间");

    /**图类型编码*/
    private String graphCode;
    /**边类型编码*/
    private String relCode;
    /**描述*/
    private String desc;

    /**
     * 构造函数
     * @param graphCode
     * @param relCode
     */
    RelationTypeEnum(String graphCode,String relCode,String desc){
        this.graphCode = graphCode;
        this.relCode = relCode;
        this.desc = desc;
    }

}
