package com.persagy.dmp.middleware.service;

import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;

import java.util.List;

/**
 * 通用接口
 * @author Charlie Yu
 * @date 2021-08-16
 */
public interface IBaseService<T> {

    /**
     * 查询
     * @param request
     * @return
     */
    CommonResult doQuery(InstanceUrlParam context, QueryCriteria request, Class<T> clazz);

    /**
     * 新增
     * @param context
     * @param clazz
     * @param voList
     * @return
     */
    List<T> doInsert(InstanceUrlParam context, Class<T> clazz, List<T> voList);

    /**
     * 修改
     * @param context
     * @param clazz
     * @param voList
     * @return
     */
    List<T> doUpdate(InstanceUrlParam context, Class<T> clazz, List<T> voList);

    /**
     * 删除
     * @param context
     * @param voList
     * @return
     */
    void doDelete(InstanceUrlParam context, List<T> voList);
}
