package com.persagy.dmp.middleware.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;
import com.persagy.dmp.middleware.entity.vo.WdConstructDescription;

import java.util.List;

public interface IConstructDescriptionService extends IService<WdConstructDescription> {

    /**
     * 查询土建装饰说明
     * @param context
     * @param vos
     * @return
     */
    CommonResult query(InstanceUrlParam context, WdConstructDescription vos);

    /**
     * 新增土建装饰说明
     * @param context
     * @param vos
     * @return
     */
    CommonResult insert(InstanceUrlParam context, List<WdConstructDescription> vos);


    /**
     * 修改土建装饰说明
     * @param context
     * @param vos
     * @return
     */
    CommonResult update(InstanceUrlParam context, List<WdConstructDescription> vos);


    /**
     * 删除土建装饰说明
     * @param context
     * @param vos
     * @return
     */
    CommonResult delete(InstanceUrlParam context, List<String> vos) throws Exception;
}
