package com.persagy.dmp.middleware.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.digital.entity.ObjectRelation;
import com.persagy.dmp.middleware.dao.WdConstructDescriptionMapper;
import com.persagy.dmp.middleware.entity.dto.CommonRequestDTO;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;
import com.persagy.dmp.middleware.entity.vo.WdConstructDescription;
import com.persagy.dmp.middleware.entity.vo.WdDefineTypeRel;

import java.util.List;

/**
 * @ClassName ObjectInstanceService
 * @Description: 设备设施模块
 * @Author linhuili
 * @Date 2021/9/10 11:17
 * @Version V1.0
 **/
public interface IEquipService {

    /**
     * 查询设备基本信息
     * @param context
     * @param request
     * @return
     */
    List<JSONObject> query(InstanceUrlParam context, CommonRequestDTO request);


    /**
     * 查询设备设施-暖通系统-全局-3D原理图相关的设备/阀门
     * @param context
     * @param request
     * @return
     */
    List<JSONObject> queryHavcSystem(InstanceUrlParam context, CommonRequestDTO request) throws Exception;


    /**
     * 设备设施-暖通系统-分集水器原理图查询
     * @param context
     * @param request
     * @return
     */
    List<JSONObject> querysubCatchment(InstanceUrlParam context, CommonRequestDTO request) throws Exception;


    /**
     * 防火分区数量统计
     * @param context
     * @param request
     * @return
     */
    CommonResult countFireZone(InstanceUrlParam context, CommonRequestDTO request) throws Exception;


    /**
     * 查询楼层地板
     * @param context
     * @param request
     * @return
     * @throws Exception
     */
    List<JSONObject> queryFloorBoard(InstanceUrlParam context,CommonRequestDTO request) throws Exception;


    /**
     * 查询广联达设备类型
     * @return
     */
   // List<WdDefineTypeRel> queryGldEquipTypeRel();


    /**
     * 根据广联达设备类型查询设备信息
     * @param context
     * @param defineTypeRels
     * @param request
     * @return
     */
    List<JSONObject> queryEquipByGldTypeRel(InstanceUrlParam context, List<WdDefineTypeRel> defineTypeRels, CommonRequestDTO request);


    /**
     * 查询广联达阀门类型
     * @return
     */
  //  List<WdDefineTypeRel> queryGldMateriaTypeRel();


    /**
     * 根据广联达设备类型查询阀门信息
     * @param context
     * @param defineTypeRels
     * @param request
     * @return
     */
    List<JSONObject> queryMateriaByGldTypeRel(InstanceUrlParam context, List<WdDefineTypeRel> defineTypeRels, CommonRequestDTO request);


    /**
     * 根据信息点查询对象信息
     * @param context
     * @param defineTypeRels
     * @param request
     * @param infoCode
     * @return
     */
    List<JSONObject> queryEquipObjectByInfoCode(InstanceUrlParam context, List<WdDefineTypeRel> defineTypeRels, CommonRequestDTO request, String infoCode);

}
