package com.persagy.dmp.middleware.service;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.middleware.entity.dto.CommonRequestDTO;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;

import java.util.List;

/**
 * @ClassName FloorService
 * @Description: 楼层
 * @Author linhuili
 * @Date 2021/9/9 10:24
 * @Version V1.0
 **/
public interface IFloorService{

    /**
     * 统计楼层基本信息
     * @param context
     * @param requestDTO
     * @return
     */
    CommonResult count(InstanceUrlParam context, CommonRequestDTO requestDTO) throws Exception;

    /**
     * 查询楼层下的设备空间阀门信息
     * @param context
     * @param requestDTO
     * @return
     */
    List<JSONObject> query(InstanceUrlParam context, CommonRequestDTO requestDTO);
}
