package com.persagy.dmp.middleware.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.middleware.entity.dto.CommonRequestDTO;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;
import com.persagy.dmp.middleware.entity.vo.WdConstructDescription;
import com.persagy.dmp.middleware.entity.vo.WdDefineTypeRel;

import java.util.List;

/**
 * @ClassName ObjectInstanceService
 * @Description: 设备设施模块
 * @Author linhuili
 * @Date 2021/9/10 11:17
 * @Version V1.0
 **/
public interface ISpaceService {

    /**
     * 根据广联达空间类型查询空间信息
     * @param context
     * @param defineTypeRels
     * @param request
     * @return
     */
    List<JSONObject> querySpaceByGldTypeRel(InstanceUrlParam context, List<WdDefineTypeRel> defineTypeRels, CommonRequestDTO request);

    /**
     * 查询空间内的设备/阀门
     * @param context
     * @param request
     * @return
     */
    List<JSONObject> relQuery(InstanceUrlParam context, CommonRequestDTO request) throws Exception;


    /**
     * 查询空间下的设备
     * @param context
     * @param request
     * @param bimTypeId
     * @return
     */
    List<JSONObject> queryEquipInSpace(InstanceUrlParam context, CommonRequestDTO request,String bimTypeId) throws Exception;


    /**
     * 查询防火分区下点空间
     * @param context
     * @param request
     * @return
     */
    CommonResult queryFireZone(InstanceUrlParam context,CommonRequestDTO request);

}
