# 管理说明书缺失接口文档：

## 1. 楼层列表查询（楼层数据）

注：可直接使用接口2：增加返回值（兼容工程信息化/data/plaza/floor接口的gcname字段）

## 2. 楼层简介查询（楼层功能）

接口名称：http://<ip>:<port>/floor/queryList?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",   //建筑id（必传）
}
```

返回参数：

```
{

   "result":"success"
   "count":12,
   "content":[
    {
       “id”:"Fl******",   //楼层id
       “localId”:"#1",    //楼层本地编码
       "localName":"B2",  //楼层本地名称
       "wD_gcname":"B2",  //工程信息化楼层名称  
       "height":50,  //高度
       "area":120    //面积
    }
   ]
}
```

注：增加信息点-楼层名称B02

## 3. 查询楼层基本信息（楼层功能 - 单层）

接口名称：http://<ip>:<port>/floor/count?groupCode=集团编码&projectId=项目id

请求参数：

```

{
    “buildId”:"****",   //建筑id（必传）
    "floorId":"****",   //楼层id （非必传，不传查全楼）
}
```

返回参数：

```
{

   "result":"success"
   "count":12,
   "content":[
    {
        "buildArea":****,  //建筑面积㎡ ，统计各楼层面积之和
        "leaseArea":****,  //租赁面积㎡，统计各楼层租赁面积
        “storeNum”:****,     //商铺数量
        “motorVehicleNum”:****, //机动车车位 
     }  
   ]
}
```

​       注：排序规则：优先按数字是否为0排序，然后按类型名称首字母排序

## 4. 查询/统计楼层下的设备空间（楼层功能 - 单层）

接口名称：http://<ip>:<port>/floor/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
          "id":“****”,         //id
          "name":”****“,       //名称
          “localId”:****,      //本地编码   
          “localName”:****,    //本地名称（展示时使用此名称）
          “bimId":"***",       //bimID
          "bimLocation":"-178.1,126.3,225.9", //bim坐标
          “bimTypeId”:"***",   //BIM构建编码
          “systemCode”:"****",  //所属系统编码
          “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
          “objType”:"***",     //对象类型：equipment-设备，space-空间，material-阀门
          “classCode”:"***"    //类型编码
       ]
     }
   ]
}
```

注：具体信息点编码参考中台数据字典定义

## 5. 查询/统计楼层下的设备空间（设备设施(通用)-全局/单层 ）

接口名称：http://<ip>:<port>/equip/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
    “systemCode”:"****", //系统编码（必传）
    //”bimTypeId“:["****"] //BIM构建编码（非必传）
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
          "id":“****”,         //id
          "name":”****“,       //名称
          “localId”:****,      //本地编码   
          “localName”:****,    //本地名称（展示时使用此名称）
          “bimId":"***",       //bimID
          "bimLocation":"-178.1,126.3,225.9", //bim坐标
          “bimTypeId”:"***",   //BIM构建编码
          “systemCode”:"****",  //所属系统编码
          “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
          “objType”:"***",     //对象类型：equipment-设备，space-空间，material-阀门
          “classCode”:"***"    //类型编码
       ]
     }
   ]
}
```

注：具体信息点编码参考中台数据字典定义

## 6. 修改楼层基本信息及统计数量（设备设施（通用）-全局，设备设施（通用）-单层）-暂时不做

注：楼层简介中的建筑面积修改后，清理zkt-monitor 中 redis 14号索引库的缓存

## 7. 通过id查询对象详情 （设备设施（通用）-单空间/单设备）

接口名称：http://<ip>:<port>/space/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
   “id”:"****",     //空间id/设备id
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
    {
        "id":“****”,         //id
        "name":”****“,       //名称
        “localId”:****,      //本地编码   
        “localName”:****,    //本地名称（展示时使用此名称）
        “bimId":"***",       //bimID
        "bimLocation":"-178.1,126.3,225.9", //bim坐标
        “bimTypeId”:"***",   //BIM构建编码
        “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
        “objType”:"***",     //对象类型：equipment-设备，space-空间，material-阀门
        “classCode”:"***"    //类型编码
         ...                 //其它信息点参考中台数据字典
     }  
   ]
}
```

## 8. 统计空间内的设备和阀门个数（设备设施（通用）-单空间）

接口名称：http://<ip>:<port>/space/rel/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
    “systemCode”:"****", //系统编码（必传）
    “spaceId”:"*****"    //空间id（必传）
}
```

返回参数：

```
{

   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
         "id":“****”,         //id
         "name":”****“,       //名称
         “localId”:****,      //本地编码   
         “localName”:****,    //本地名称（展示时使用此名称）
         “bimId":"***",       //bimID
         "bimLocation":"-178.1,126.3,225.9", //bim坐标
         “bimTypeId”:"***",   //BIM构建编码
         “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
         “objType”:"***",     //对象类型：equipment-设备，material-阀门
      ]
     }
   ]
}
```

## 9. 查询设备设施-供电系统-全局-楼层电井

注：zkt-sdk接口已实现，需增加返回电表号字段 - 后续新增信息点

## 10. 查询设备设施- 暖通系统-全局-3D原理图相关的设备/阀门

注：查询冷却塔设备类下的设备，制冷机房空间下的设备/阀门信息，所属系统编码

接口名称：http://<ip>:<port>/equip/havcSystem/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
    “systemCode”:"****", //系统编码（必传）
}
```

返回参数：

```
{

   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
         "id":“****”,         //id
         "name":”****“,       //名称
         “localId”:****,      //本地编码   
         “localName”:****,    //本地名称（展示时使用此名称）
         “bimId":"***",       //bimID
         "bimLocation":"-178.1,126.3,225.9", //bim坐标
         “bimTypeId”:"***",   //BIM构建编码
         “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
         “objType”:"***",     //对象类型：equipment-设备，material-阀门
       ]
     }
   ]
}
```

## 11. 设备设施-暖通系统-分集水器原理图查询

注：查询分水器、集水器类型下的对象信息，对象信息需要增加所属系统编码

接口名称：http://<ip>:<port>/equip/subCatchment/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
         "id":“****”,         //id
         "name":”****“,       //名称
         “localId”:****,      //本地编码   
         “localName”:****,    //本地名称（展示时使用此名称）
         “bimId":"***",       //bimID
         "bimLocation":"-178.1,126.3,225.9", //bim坐标
         “bimTypeId”:"***",   //BIM构建编码
         “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
         “objType”:"***",     //对象类型：equipment-设备，material-阀门
       ]
     }
   ]
}
```

## 12. 防火分区数量统计

接口名称：http://<ip>:<port>/space/fireZone/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
    //“systemCode”:"****", //系统编码（非必传，可根据系统筛选，不传时查所有）
    //”bimTypeId“:"****"   //空间的BIM构建编码(必传)
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
      "id":"***",                  //空间id
      "name":"***",                //空间名称
      “localId”:"****",            //空间本地编码
      “localName”:"****",          //空间本地名称
      "wD_zhujibianhao":"***",     //主机编号
      "wD_huilubianhao":"***",     //回路编号
      "wD_yanganshuliang": ***,    //烟感数量
      "wD_wenganshuliang": ***,    //温感数量
      "wD_shoubaoshuliang": ***,   //手报数量
      "wD_xiaohuoshuanshuliang": ***,     //消火栓数量
      "wD_mokuaishuliang": ***,           //模块数量 
      “bimId":"***",                      //bimID
      "bimLocation":"-178.1,126.3,225.9", //bim坐标
      “roomFunc”:"***",                  //BIM构建编码
      “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
      “roomLocalFuncTypeID”:"***",     //空间bimTypeId
     }
   ]
}
```

注：统计各消防分区下的空间数量，关联的主机编号，烟感数量，温感数量等。

## 13. 查询各防火分区下的空间信息（-作废，可直接复用接口12，接口12返回该空间所有信息，包括空间轮廓线等）

注：查询各防火分区下的空间信息

接口名称：http://<ip>:<port>/space/fireZone/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",      //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",      //楼层id （非必传，不传查全楼）
    //“systemCode”:"****", //系统编码（非必传，可根据系统筛选，不传时查所有）
    ”bimTypeId“:["****"]   //空间的BIM构建编码(必传)
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
         "id":“****”,         //id
         "name":”****“,       //名称
         “localId”:****,      //本地编码   
         “localName”:****,    //本地名称（展示时使用此名称）
         “bimId":"***",       //bimID
         "bimLocation":"-178.1,126.3,225.9", //bim坐标
         “bimTypeId”:"***",   //BIM构建编码
         “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
         “objType”:"***",     //对象类型：equipment-设备，material-阀门
       ]
     }
   ]
}
```

## 13. 主要材料查询（设备设施-土建装饰-全局）

注：确认来源，数据是否来自于工程信息化

## 14. 查询土建装饰设备设施说明

接口名称：http://<ip>:<port>/equip/construction/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    "floorId":"****",    //楼层id （非必传，不传查全楼）
    “wdSystemCode”:"scpz", //系统编码，必传，默认“scpz”
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       "floorId":"****",    //楼层id 
       “wdSystemCode”:"scpz", //系统编码
       ”remark“:"****"   //说明
     }
   ]
}
```

## 15. 添加土建装饰设备设施说明

接口名称：http://<ip>:<port>/equip/construction/insert?groupCode=集团编码&projectId=项目id

请求参数：

```
[
  {
       "floorId":"****",    //楼层id ,必传
       “wdSystemCode”:"scpz", //系统编码，必传，默认“scpz”
       ”remark“:"****"   //说明，必传
   }
]
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
      "floorId":"****",    //楼层id 
       “wdSystemCode”:"scpz", //系统编码
       ”remark“:"****"   //说明
     }
   ]
}
```

## 16. 修改土建装饰设备设施说明

接口名称：http://<ip>:<port>/equip/construction/update?groupCode=集团编码&projectId=项目id

请求参数：

```
[
  {
       “id”:"****",          //该条说明id，必传
       "floorId":"****",    //楼层id ,必传
       “wdSystemCode”:"scpz", //系统编码，必传，默认“scpz”
       ”remark“:"****"   //说明，必传
   }
]
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “id”:"****",          //该条说明id，必传
       "floorId":"****",    //楼层id ,必传
       “wdSystemCode”:"scpz", //系统编码，必传，默认“scpz”
       ”remark“:"****"   //说明，必传
    }
   ]
}
```

## 17. 删除土建装饰设备实施说明

接口名称：http://<ip>:<port>/equip/construction/delete?groupCode=集团编码&projectId=项目id

请求参数：

```
["id"]
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “id”:"****",          //该条说明id，必传
       "floorId":"****",    //楼层id ,必传
       “wdSystemCode”:"scpz", //系统编码，必传，默认“scpz”
       ”remark“:"****"   //说明，必传
    }
   ]
}
```

## 18. 根据楼层获取地板对象

接口名称：http://<ip>:<port>/equip/floorBoard/query?groupCode=集团编码&projectId=项目id

请求参数：

```
{
    “buildId”:"****",    //建筑id（非必传，楼层ID为空时，必传）
    "floorId":"****",    //楼层id （非必传，不传查全楼）
}
```

返回参数：

```
{
   "result":"success"
   "count":12,
   "content":[
     {
       “bimTypeId”:"***",  //BIM构建编码，设备/阀门类型的唯一编码
       “className”:"***",  //类型名称
       “systemCode”:"***", //所属系统编码
       "count":8,          //对象数量
       “objects”:[         //设备
         "id":“****”,         //id
         "name":”****“,       //名称
         “localId”:****,      //本地编码   
         “localName”:****,    //本地名称（展示时使用此名称）
         “bimId":"***",       //bimID
         "bimLocation":"-178.1,126.3,225.9", //bim坐标
         “bimTypeId”:"***",   //BIM构建编码
         “outLine”:[{"x":123.2,"y":210,"z":227.9}],  //轮廓坐标
         “objType”:"***",     //对象类型：equipment-设备，material-阀门
       ]
     }
   ]
}
```

